// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AO4MF/16AO4MF_Linux_2.x.x.x_GSC_DN/samples/regs/main.h $
// $Rev: 43285 $
// $Date: 2018-07-09 17:42:48 -0500 (Mon, 09 Jul 2018) $

// 16AO4MF: Sample Application: header file

#ifndef __MAIN_H__
#define __MAIN_H__

#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#include "16ao4mf_main.h"



// data types *****************************************************************

typedef struct
{
	const char*	name;				// NULL terminates list.
	const char*	desc;				// optional
	void		(*func)(int fd);	// NULL terminates list.
} menu_item_t;

typedef struct
{
	const char*			title;
	const menu_item_t*	list;
} menu_t;



// prototypes *****************************************************************

void	main_menu(int fd);
void	menu_call(int fd, const menu_t* menu);
int		menu_select(const menu_t* menu);
void	reg_mod_by_name(int fd);
void	reg_mod_by_offset(int fd);



#endif
