// $URL: http://subversion:8080/svn/gsc/trunk/drivers/gsc_common/utils/intime/os_util_time.c $
// $Rev: 43207 $
// $Date: 2018-07-08 17:04:20 -0500 (Sun, 08 Jul 2018) $

// INtime: Utility: source file

#include "gsc_utils.h"



//*****************************************************************************
size_t os_time_delta_ms(void)
{
	static	int				started	= 0;
	static	struct timeval	start;

	size_t					delta;
	size_t					sec;
	struct timeval			tv;
	size_t					us;

	gettimeofday(&tv, NULL);

	if (started == 0)
	{
		start	= tv;
		started	= 1;
	}

	sec		= tv.tv_sec - start.tv_sec;
	us		= 1000000L + tv.tv_usec - start.tv_usec;
	delta	= (sec * 1000) + ((us + 500) / 1000);
	return(delta);
}


