// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AO4MF/16AO4MF_Linux_2.x.x.x_GSC_DN/include/16ao4mf_api.h $
// $Rev: 43270 $
// $Date: 2018-07-09 17:28:49 -0500 (Mon, 09 Jul 2018) $

// 16AO4MF: API Library: header file

#ifndef __16AO4MF_API_H__
#define __16AO4MF_API_H__

#include <stdlib.h>

#include "16ao4mf.h"



// prototypes *****************************************************************

int	GSC_EXPORT	ao4mf_close(int fd);
int	GSC_EXPORT	ao4mf_init(void);
int	GSC_EXPORT	ao4mf_ioctl(int fd, int request, void *arg);
int	GSC_EXPORT	ao4mf_open(int device, int share, int* fd);
int	GSC_EXPORT	ao4mf_read(int fd, void* dst, size_t bytes);
int	GSC_EXPORT	ao4mf_write(int fd, const void* src, size_t bytes);



#endif
